package com.hsht.common.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 系统配置
 *
 * @author shuliangxing
 * @date 2018/6/11 10:47
 */
@Component
public class SMSConfig {

//     notificationAccount: N0767543
//      notificationPassword: N0767543
//
//      marketingAccount: M7603731
//      marketingPassword: N0767543
//      sendFixed: http://smssh1.253.com/msg/send/json #短信下发接口
//      sendVariable: http://smssh1.253.com/msg/variable/json #变量短信下发接口
//      reportUrl: http://test.9z.com/msg/report # 短信报告

    public static String notificationAccount;
    public static String notificationPassword;
    public static String marketingAccount;
    public static String marketingPassword;
    public static String sendFixed;
    public static String sendVariable;
    public static String reportUrl;


    @Value("${system.config.lanchuan.notificationAccount}")
    public static void setNotificationAccount(String notificationAccount) {
        SMSConfig.notificationAccount = notificationAccount;
    }

    @Value("${system.config.lanchuan.notificationPassword}")
    public static void setNotificationPassword(String notificationPassword) {
        SMSConfig.notificationPassword = notificationPassword;
    }

    @Value("${system.config.lanchuan.marketingAccount}")
    public static void setMarketingAccount(String marketingAccount) {
        SMSConfig.marketingAccount = marketingAccount;
    }

    @Value("${system.config.lanchuan.marketingPassword}")
    public static void setMarketingPassword(String marketingPassword) {
        SMSConfig.marketingPassword = marketingPassword;
    }

    @Value("${system.config.lanchuan.sendFixed}")
    public static void setSendFixed(String sendFixed) {
        SMSConfig.sendFixed = sendFixed;
    }

    @Value("${system.config.lanchuan.sendVariable}")
    public static void setSendVariable(String sendVariable) {
        SMSConfig.sendVariable = sendVariable;
    }

    @Value("${system.config.lanchuan.reportUrl}")
    public static void setReportUrl(String reportUrl) {
        SMSConfig.reportUrl = reportUrl;
    }

}
